#
# spec file for package gnome-python (Version 1.4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile control-center control-center-devel esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gtk gtk-devel gxmhtml imlib imlib-config imlib-devel libghttp libghttp-devel libglade libglade-devel libgtop libgtop-devel libjpeg libpng libxml libxml-devel orbit orbit-devel python python-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gxmhtml gzip imlib imlib-config imlib-devel kbd less libghttp libghttp-devel libglade libglade-devel libgtop libgtop-devel libjpeg libpng libtool libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps python python-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gnome-python
Copyright:    GPL
Group:        Development/Libraries/Python
Provides:     python-gnome pygnome
Obsoletes:    python-gnome pygnome
Autoreqprov:  on
Version:      1.4.1
Release:      127
Summary:      Python bindings for GNOME
Source:       ftp://ftp.daa.com.au/pub/james/python/gnome-python-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-root

%description
Python bindings for GNOME

SuSE series: gnm

%package -n python-gtk
Summary:      Python bindings for the GTK+ widget set
Group:        Development/Libraries/Python
Obsoletes:    pygtk
Provides:     pygtk
Autoreqprov:  on

%description -n python-gtk
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all of python's benefits.

Authors:
--------
    James Henstridge <james@daa.com.au>

SuSE series: d

%prep
%setup 

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr
make

%install
export RPM_BUILD_ROOT
[ -n "$RPM_BUILD_ROOT" ] && [ "$RPM_BUILD_ROOT" != "/" ] && \
	rm -fr $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
export py_site=`python -c 'import site; print site.sitedirs[0];'`
cat <<!EOT > file_list.gnome.tmp
%doc AUTHORS COPYING README NEWS pygnome/examples
$py_site/gnome
$py_site/gettext.py*
$py_site/_gnomemodule.so
$py_site/_gnomeuimodule.so
$py_site/_zvtmodule.so
$py_site/_gtkxmhtmlmodule.so
$py_site/libglade.py*
$py_site/_libglademodule.so
$py_site/_gladegnomemodule.so
$py_site/_appletmodule.so
$py_site/_cappletmodule.so
!EOT
egrep -v "^ |^$" file_list.gnome.tmp > file_list.gnome
cat <<!EOT > file_list.gtk.tmp
%doc pygtk/AUTHORS pygtk/COPYING pygtk/NEWS pygtk/README pygtk/MAPPING
%doc pygtk/ChangeLog pygtk/description.py pygtk/examples
$py_site/gtk.py*
$py_site/GtkExtra.py*
$py_site/GTK.py*
$py_site/GDK.py*
$py_site/GdkImlib.py*
$py_site/pyglade
$py_site/_gtkmodule.so
$py_site/_gdkimlibmodule.so
/usr/include/pygtk
!EOT
egrep -v "^ |^$" file_list.gtk.tmp > file_list.gtk

%files -f file_list.gnome

%files -n python-gtk -f file_list.gtk

%changelog -n gnome-python
* Tue Jul 10 2001 - hhetter@suse.de
- filelist changes
* Sat Jul 07 2001 - egger@suse.de
- Updated to version 1.4.1.
* Fri Mar 09 2001 - ro@suse.de
- added xf86
* Mon Mar 05 2001 - egger@suse.de
- Renamed python-gnome to gnome-python.
- Added correct Provides/Obsoletes tags.
- Cleaned up specfile.
- Updated to version 1.4.0.
* Mon Feb 19 2001 - ro@suse.de
- changed neededforbuild <libghtt> to <libghttp>
- changed neededforbuild <libghtt-devel> to <libghttp-devel>
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Thu Jan 25 2001 - ro@suse.de
- fixed rest of provides and obsoletes
* Thu Jan 25 2001 - hhetter@suse.de
- added missing Obsoletes tag: pygnome
* Wed Nov 22 2000 - mt@suse.de
- adopted to build with python2.0 also
- renamed pygnome to python-gnome and pygtk to python-gtk
* Tue Nov 07 2000 - ro@suse.de
- fixed neededforbuild: add esound-devel
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Sat Oct 28 2000 - kukuk@suse.de
- Add python-devel to need for build
* Fri Jun 02 2000 - kukuk@suse.de
- Add gxmhtml to need for build
* Mon Apr 10 2000 - ke@suse.de
- update to version 1.0.53.
* Wed Mar 15 2000 - ke@suse.de
- update to version 1.0.52.
* Tue Feb 22 2000 - ke@suse.de
- update to version 1.0.51.
- General spec file cleanup:
- BuildRoot.
- Add group tags.
- neededforbuild  libglad libgladd.
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu May 27 1999 - ro@suse.de
- added orbit and orbitdev to neededforbuild
* Thu May 27 1999 - ro@suse.de
- removed patch: current version is needed here (cauldron_parse)
* Thu May 27 1999 - ro@suse.de
- added libghtt to neededforbuild (not just libghttd)
- added libxml  to neededforbuild (not just libxmld)
* Tue May 25 1999 - mt@suse.de
- update to 1.0.3
* Tue May 18 1999 - ro@suse.de
- update to 1.0.2
- patched gnomeuimodule.c to compile with recent gnlibs
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Tue Mar 09 1999 - ro@suse.de
- filled up neededforbuild .....
* Mon Mar 08 1999 - ro@suse.de
- added python to neededforbuild
* Fri Mar 05 1999 - mt@suse.de
- new pygnome-0.100 and pygtk-0.5.11
